import { CommandConfig, Factory, OpenApiSpec } from '@comet-cli/types';
import { TestCase } from '@comet-cli/decorator-tests/types/tests';
export default class LaravelTestsFactory implements Factory {
    getName(): string;
    execute(model: OpenApiSpec, config: CommandConfig): Promise<string[]>;
    protected static updatePhpUnitConfig(outputDir: string): Promise<void>;
    protected static updateComposerConfig(): Promise<void>;
    protected static writeJsonSchemaFiles(model: OpenApiSpec, config: CommandConfig): Promise<void>;
    protected static createHookTraitFile(config: CommandConfig): Promise<void>;
    protected static createTestCases(testCases: TestCase[], config: CommandConfig): Promise<void>;
    protected static getResolvedUrl(baseUrl: string, testCase: TestCase): string;
    protected static getFileHeader(): string;
    protected static createNominalDefinition(testCase: TestCase, url: string, outputDir: string): string;
    protected static createFaultyDefinition(testCase: TestCase, url: string): string;
    protected static getFileFooter(): string;
    protected static getJsonSchemaAssertion(outputDir: string, testCase: TestCase): string;
}
